org.apache.lucene.document

## Class ShapeField.DecodedTriangle

- java.lang.Object
- - org.apache.lucene.document.ShapeField.DecodedTriangle

Enclosing class:
  ShapeField

    public static class ShapeField.DecodedTriangle
    extends Object

Represents a encoded triangle using `ShapeField.decodeTriangle(byte[], DecodedTriangle)`.

### Field Summary

Fields
`boolean` `ab`
`int` `aX`
`int` `aY`
`boolean` `bc`
`int` `bX`
`int` `bY`
`boolean` `ca`
`int` `cX`
`int` `cY`

### Constructor Summary

Constructors
Constructor and Description
`DecodedTriangle()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `toString()` pretty print the triangle vertices

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### aX

    public int aX

#### aY

    public int aY

#### bX

    public int bX

#### bY

    public int bY

#### cX

    public int cX

#### cY

    public int cY

#### ab

    public boolean ab

#### bc

    public boolean bc

#### ca

    public boolean ca

### Constructor Detail

#### DecodedTriangle

    public DecodedTriangle()

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

pretty print the triangle vertices

Overrides:
  `toString` in class `Object`